/*------------ button style start ------------*/
/* ---- common button style css ----*/

// slider buuton
.slider-btn {
    color: $white;
    font-size: 18px;
    font-weight: 500;
    line-height: 1;
    padding: 20px 20px 15px;
    @include border-radius(5px);
    display: inline-block;
    text-transform: uppercase;
    background-color: $theme-color;

    // responsive
    @media #{$small-mobile} {
        font-size: 15px;
        line-height: 32px;
        padding: 4px 15px 0px;
    }

    i {
        padding-left: 5px;
    }

    &:hover {
        color: $white;
        background-color: $black-soft;
    }
    &__2 {
        color: white;
        font-size: 18px;
        line-height: 1;
        letter-spacing: 1px;
        @include border-radius(4px);
        background-color: $black-soft;
        &:hover {
            background-color: $theme-color;
        }
        // responsive
        @media #{$large-mobile} {
            font-size: 15px;
            line-height: 32px;
            padding: 4px 15px 0px;
        }
    }
}

// default button
.sqr-btn {
    color: $white;
    font-size: 14px;
    font-weight: 500;
    border: none;
    cursor: pointer;
    background-color: $theme-color;
    padding: 10px 20px 6px;
    text-transform: uppercase;
    display: inline-block;

    &:hover {
        color: $white;
        background-color: $black-soft;
    }

    i {
        padding-right: 5px;
    }
}

// cart button
.product-btn {
    a {
        color: $black-soft;
        font-size: 15px;
        line-height: 1;
        display: inline-block;
        padding: 12px 20px 14px;
        @include border-radius(4px);
        background-color: #ebebeb;
        text-transform: capitalize;
        i {
            font-size: 18px;
            padding-right: 5px;
        }
        &:hover {
            color: $white;
            background-color: $theme-color;
        }
    }
    &__color {
        a {
            color: $white;
            background-color: $theme-color;
            &:hover {
                background-color: $black-soft;
            }
        }
    }
}
/*------------ button style end ------------*/